Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.identification
Interface DataIdentification

All Superinterfaces:
  Identification

    @Profile(level=CORE)
    @UML(identifier="MD_DataIdentification",
         specification=ISO_19115)
    public interface DataIdentification

extends Identification

Information required to identify a dataset.

Since:
  GeoAPI 2.0

Method Summary
`Charset` | `getCharacterSet()` Deprecated. use getCharacterSets
`Collection<CharacterSet>` | `getCharacterSets()` Full name of the character coding standard(s) used for the dataset.
`InternationalString` | `getEnvironmentDescription()` Description of the dataset in the producer's processing environment, including items such as the software, the computer operating system, file name, and the dataset size.
`Collection<? extends Extent>` | `getExtent()` Additional extent information including the bounding polygon, vertical, and temporal extent of the dataset.
`Collection<GeographicBoundingBox>` | `getGeographicBox()` Deprecated. not in ISO 19115:2003
`Collection<GeographicDescription>` | `getGeographicDescription()` Deprecated. not in ISO 19115:2003
`Collection<Locale>` | `getLanguage()` Language(s) used within the dataset.
`Collection<SpatialRepresentationType>` | `getSpatialRepresentationTypes()` Method used to spatially represent geographic information.
`Collection<? extends Resolution>` | `getSpatialResolutions()` Factor which provides a general understanding of the density of spatial data in the dataset.
`InternationalString` | `getSupplementalInformation()` Any other descriptive information about the dataset.
`Collection<TopicCategory>` | `getTopicCategories()` Main theme(s) of the dataset.

Methods inherited from interface Identification
`getAbstract, getAggregationInfo, getCitation, getCredits, getDescriptiveKeywords, getGraphicOverviews, getPointOfContacts, getPurpose, getResourceConstraints, getResourceFormat, getResourceMaintenance, getResourceSpecificUsages, getStatus`

Method Detail

### getSpatialRepresentationTypes

    @Profile(level=CORE)
    @UML(identifier="spatialRepresentationType",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<SpatialRepresentationType> getSpatialRepresentationTypes()

  Method used to spatially represent geographic information.

### getSpatialResolutions

    @Profile(level=CORE)
    @UML(identifier="spatialResolution",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends Resolution> getSpatialResolutions()

  Factor which provides a general understanding of the density of spatial data in the dataset.

### getLanguage

    @Profile(level=CORE)
    @UML(identifier="language",
         obligation=MANDATORY,
         specification=ISO_19115)
    Collection<Locale> getLanguage()

  Language(s) used within the dataset.

### getCharacterSet

    Charset getCharacterSet()

  Deprecated. use getCharacterSets

  Full name of the character coding standard used for the dataset.

### getCharacterSets

    @Profile(level=CORE)
    @UML(identifier="characterSet",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Collection<CharacterSet> getCharacterSets()

  Full name of the character coding standard(s) used for the dataset.

### getTopicCategories

    @Profile(level=CORE)
    @UML(identifier="topicCategory",
         obligation=MANDATORY,
         specification=ISO_19115)
    Collection<TopicCategory> getTopicCategories()

  Main theme(s) of the dataset.

### getGeographicBox

    @Profile(level=CORE)
    @UML(identifier="geographicBox",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Collection<GeographicBoundingBox> getGeographicBox()

  Deprecated. not in ISO 19115:2003

  Minimum bounding rectangle within which data is available. Only one of `getGeographicBox()` and `getGeographicDescription()` should be provided.

### getGeographicDescription

    @Profile(level=CORE)
    @UML(identifier="geographicDescription",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Collection<GeographicDescription> getGeographicDescription()

  Deprecated. not in ISO 19115:2003

  Description of the geographic area within which data is available. Only one of `getGeographicBox()` and `getGeographicDescription()` should be provided.

### getEnvironmentDescription

    @UML(identifier="environmentDescription",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getEnvironmentDescription()

  Description of the dataset in the producer's processing environment, including items such as the software, the computer operating system, file name, and the dataset size.

### getExtent

    @Profile(level=CORE)
    @UML(identifier="extent",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends Extent> getExtent()

  Additional extent information including the bounding polygon, vertical, and temporal extent of the dataset.

### getSupplementalInformation

    @UML(identifier="supplementalInformation",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getSupplementalInformation()

  Any other descriptive information about the dataset.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.